question

marekp avatar image

VictronConnect v5.38 crashes under Windows 7

Hi,

I was using VictronConnect v5.34 on my W7 laptop without a problem.

Needed a FW 481 for my new setup and downloaded v5.38.

After installing it, I am getting VC crash.

Do I have to buy a new computer every time there is a need for new FW? :(

Problem signature:
Problem Event Name: APPCRASH
Application Name: VictronConnect.exe
Application Version: 5.38.0.0
Application Timestamp: 6023f8e3
Fault Module Name: vebus.dll
Fault Module Version: 0.0.0.0
Fault Module Timestamp: 6023f82f
Exception Code: 40000015
Exception Offset: 0002e93c
OS Version: 6.1.7601.2.1.0.256.1
Locale ID: 1045
Additional Information 1: bc98
Additional Information 2: bc984099c4cbac2c77f9a4c20f934beb
Additional Information 3: a377
Additional Information 4: a377ddca709b255581150703740ee45a

VictronConnect
1 comment
2 |3000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 190.8 MiB each and 286.6 MiB total.

Now even the v5.34 is crashing.

It looks like it does not like my 6 MP-IIs because crash happens when it is looking for equipment on the bus.

When had only 3 MP-IIs it worked ok.

2 Answers
michelg avatar image
michelg answered ·

Hi Marekp, just try to change the compatibility mode, and see if it works with the v 5.38 (chose Vista, or W7 SP1, etc)


7 comments
2 |3000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 190.8 MiB each and 286.6 MiB total.

Hi @MichelG,

Decided not to play (waste my time) with this v5.38 on W7 and switched to v5.38 on Mac.

Thanks for your time.


Maybe VE Flash (and VE Configure 3) still works in Windows 7.

VE Configure 3 does work with W7.

Newer used VE Flash, but I thing it also works.

Problem with using VE Flash is that you need to know exactly witch FW file to use.

There is more than one FW481 and it is easy tho make a mistake.

Use VE Configure 3 to check which version the inverter is:

"Target" - "Show software version"

and you get a 7 digits number.


The first 4 digits are the hardware version (model).

The last 3 digits is the current firmware.


Then you download the (newer) firmware which has the same first 4 digits as the current one.

Thank you for this info, but it was easier to use VictronConnect v5.38 on Mac.

Now I have a problem setting up 3 phase/2 parallel system.

How to set the master and slave in each phase?

I should probably ask this in the separate question.

I know this link, but there is nothing (I do not see it) about error #17 and how to fix it.

screen-shot-2021-03-26-at-102000-pm.png

michelg avatar image
michelg answered ·

Hi Marekp, A few things. W7 is not supported anymore by Microsoft, so if any changes have been done in Victron Connect in order to remain compatible with W10, it could be the issue.

I recommend you to disable any antivirus, or security tool and try again to use VC. According to MS, the error code is related to "problem signature". I'll suggest you to restart your PC, run a check disk, as it might be corrupted. Also try using the F8 boot option.

Michel

PS: Can you startup in safe mode? do you have your windows DvD?
If you can start a command prompt try:
bootrec /RebuildBcd

You can also try
bootrec /fixmbr
bootrec /fixboot


1 comment
2 |3000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 190.8 MiB each and 286.6 MiB total.

Hi, @MichelG

Computer restarted many times.

Uninstalled VC v5.38,

Loaded VC v5.34 again and it is working,

Uninstalled VC v5.34,

Loaded VC v5.38 and it is crashing.

I do not thing it is my computer fault because it is practically new W7 install used only for Victron setup.

This new VC v5.38 i simply not compatible with Windows 7 or it is a bug.